%global _testsdir %{_libexecdir}/%{name}/tests
%global _make_args pkgtestsdir=%%{_testsdir} testsdir=%%{_testsdir}

Summary:       Testing framework for infrastructure software
Name:          kyua
Version:       0.13
Release:       5%{?dist}
License:       BSD
URL:           https://github.com/jmmv/kyua
Source0:       %{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc-c++ libatf-c++-devel libatf-sh-devel pkgconfig(lutok) pkgconfig(sqlite3)

Provides:      kyua-cli = %{version}-%{release}

%description
Kyua is a testing framework for infrastructure software, originally designed to equip BSD-based
operating systems with a test suite. This means that Kyua is lightweight and simple, and that Kyua
integrates well with various build systems and continuous integration frameworks.

Kyua features an expressive test suite definition language, a safe runtime engine for test suites
and a powerful report generation engine.

Kyua is for both developers and users, from the developer applying a simple fix to a library to the
system administrator deploying a new release on a production machine.

Kyua is able to execute test programs written with a plethora of testing libraries and languages.
The library of choice is ATF, for which Kyua was originally designed, but simple, framework-less
test programs and TAP-compliant test programs can also be executed through Kyua.

%package tests
Summary:        Runtime tests of the Kyua toolchain
Requires:       %{name} = %{version}-%{release}

%description tests
Testing framework for infrastructure software

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
  --with-doxygen=no   \
  --with-with-atf=yes \
  %{nil}
%make_build %{_make_args}

%install
%make_install %{_make_args} doc_DATA=

%check
HOME=$(pwd)/check %make_build check %{_make_args} || :

%files
%license LICENSE
%doc AUTHORS CONTRIBUTORS NEWS.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*

%files tests
%{_libexecdir}/%{name}/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 25 2023 Wang Guodong <gordonwwang@tencent.com> - 0.13-4
- Rebuilt for atf 0.21

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 0.13-1
- initial build
